Bug 1237175 - release field does not include dist tag
Summary: release field does not include dist tag
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kcc
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1237153
TreeView+ depends on / blocked
 
Reported: 2015-06-30 13:56 UTC by Kamil Páral
Modified: 2015-07-14 15:49 UTC (History)
2 users (show)

Fixed In Version: kcc-2.3-39.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-14 15:36:36 UTC
Type: Bug


Attachments (Terms of Use)

Description Kamil Páral 2015-06-30 13:56:31 UTC
Description of problem:
This package does not include a dist tag (e.g. '.fc23') in its release field, even though it is mandatory according the packaging guidelines:
https://fedoraproject.org/wiki/Packaging:DistTag

Our automated testing efforts are beginning to rely on having a dist tag in RPM file names:
https://lists.fedoraproject.org/pipermail/packaging/2015-June/thread.html#10693

Please adjust the package spec file and add '%{?dist}' at the end of the release field. Do this for all supported Fedora releases.

It is not necessary to build a new package version immediately, but it should be prepared in the spec file so that a new package build in the future will contain the dist tag.

Thank you.


Version-Release number of selected component (if applicable):
kcc-0:2.3-38.x86_64

Comment 1 Kamil Páral 2015-07-02 07:41:30 UTC
Thanks, Akira. Could you please adjust f21 and f22 spec file as well?

Comment 2 Fedora Update System 2015-07-03 11:14:54 UTC
kcc-2.3-39.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/kcc-2.3-39.fc22

Comment 3 Fedora Update System 2015-07-03 11:15:39 UTC
kcc-2.3-39.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/kcc-2.3-39.fc21

Comment 4 Fedora Update System 2015-07-04 20:12:13 UTC
Package kcc-2.3-39.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kcc-2.3-39.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-11179/kcc-2.3-39.fc21
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2015-07-14 15:36:36 UTC
kcc-2.3-39.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2015-07-14 15:49:34 UTC
kcc-2.3-39.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.